%define anolis_release 12
%define glib2_version 2.58

%{!?with_docs: %global with_docs 1}

Name: libsoup
Version: 2.74.3
Release: %{anolis_release}%{?dist}
Summary: Soup, an HTTP library implementation

License: LGPLv2
URL: https://wiki.gnome.org/Projects/libsoup
Source0: https://download.gnome.org/sources/%{name}/2.74/%{name}-%{version}.tar.xz
Patch0: 0000-bugfix-for-CVE-2025-46420.patch
Patch1: 0001-bugfix-for-CVE-2025-32907.patch
Patch2: 0002-bugfix-for-CVE-2025-32909.patch
Patch3: 0003-bugfix-for-CVE-2025-32910.patch
Patch4: 0004-bugfix-for-CVE-2025-32910.patch
Patch5: 0005-bugfix-for-CVE-2025-32912.patch
Patch6: 0006-bugfix-for-CVE-2025-32912.patch
Patch7: 0007-bugfix-for-CVE-2025-32912.patch
Patch8: 0008-bugfix-for-CVE-2025-32050.patch
Patch9: 0009-bugfix-for-CVE-2025-32053.patch
Patch10: 0010-bugfix-for-CVE-2025-32911-CVE-2025-32913.patch
Patch11: 0011-bugfix-for-CVE-2025-32906.patch
Patch12: 0012-bugfix-for-CVE-2025-32914.patch

BuildRequires: gettext
BuildRequires: glib-networking
%if %{with_docs}
BuildRequires: gtk-doc
%endif
BuildRequires: krb5-devel
BuildRequires: meson >= 0.50
BuildRequires: pkgconfig(gio-2.0) >= %{glib2_version}
BuildRequires: pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires: pkgconfig(gmodule-2.0) >= %{glib2_version}
BuildRequires: pkgconfig(gobject-2.0) >= %{glib2_version}
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(libbrotlidec)
BuildRequires: pkgconfig(libpsl) >= 0.20
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(sysprof-capture-4)
BuildRequires: pkgconfig(zlib)
BuildRequires: vala
BuildRequires: /usr/bin/ntlm_auth

Requires: glib2 >= %{glib2_version}
Requires: glib-networking >= %{glib2_version}

%description
Libsoup is an HTTP library implementation in C. It was originally part
of a SOAP (Simple Object Access Protocol) implementation called Soup, but
the SOAP and non-SOAP parts have now been split into separate packages.

libsoup uses the Glib main loop and is designed to work well with GTK
applications. This enables GNOME applications to access HTTP servers
on the network in a completely asynchronous fashion, very similar to
the Gtk+ programming model (a synchronous operation mode is also
supported for those who want it).

%package devel
Summary: Header files for the Soup library
Requires: %{name} = %{version}-%{release}

%description devel
Libsoup is an HTTP library implementation in C. This package allows
you to develop applications that use the libsoup library.

%if %{with_docs}

%package doc
Summary: Documentation files for %{name}
BuildArch: noarch

%description doc
This package contains developer documentation for %{name}.

# %%{with_docs}
%endif

%prep
%autosetup -p1

%build
%if %{with_docs}
%define gtkdoc_flags -Dgtk_doc=true
%else
%define gtkdoc_flags -Dgtk_doc=false
%endif

%meson %gtkdoc_flags
%meson_build

%install
%meson_install

%generate_compatibility_deps

%find_lang libsoup

%files -f libsoup.lang
%dir %{abidir}
%license COPYING
%doc README NEWS AUTHORS
%{_libdir}/libsoup-2.4.so.1*
%{_libdir}/libsoup-gnome-2.4.so.1*
%{abidir}/libsoup*.dump
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Soup*2.4.typelib

%files devel
%{_includedir}/libsoup-2.4
%{_includedir}/libsoup-gnome-2.4
%{_libdir}/libsoup-2.4.so
%{_libdir}/libsoup-gnome-2.4.so
%{_libdir}/pkgconfig/*.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Soup*2.4.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/libsoup-2.4.deps
%{_datadir}/vala/vapi/libsoup-2.4.vapi

%if %{with_docs}

%files doc
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/%{name}-2.4

%endif

%changelog
* Wed Jun 11 2025 tomcruiseqi <10762123+tomcruiseqi@user.noreply.gitee.com> - 2.74.3-12
- fix CVE-2025-32914

* Wed Jun 11 2025 tomcruiseqi <10762123+tomcruiseqi@user.noreply.gitee.com> - 2.74.3-11
- fix CVE-2025-32906

* Tue Jun 10 2025 tomcruiseqi <10762123+tomcruiseqi@user.noreply.gitee.com> - 2.74.3-10
- fix CVE-2025-32911 CVE-2025-32913

* Mon Jun 09 2025 tomcruiseqi <10762123+tomcruiseqi@user.noreply.gitee.com> - 2.74.3-9
- fix CVE-2025-32053

* Mon Jun 09 2025 tomcruiseqi <10762123+tomcruiseqi@user.noreply.gitee.com> - 2.74.3-8
- fix CVE-2025-32050

* Mon Jun 09 2025 tomcruiseqi <10762123+tomcruiseqi@user.noreply.gitee.com> - 2.74.3-7
- fix CVE-2025-32912

* Fri Jun 06 2025 tomcruiseqi <10762123+tomcruiseqi@user.noreply.gitee.com> - 2.74.3-6
- fix CVE-2025-32910

* Thu Jun 05 2025 tomcruiseqi <10762123+tomcruiseqi@user.noreply.gitee.com> - 2.74.3-5
- fix CVE-2025-32909

* Wed Jun 04 2025 tomcruiseqi <10762123+tomcruiseqi@user.noreply.gitee.com> - 2.74.3-4
- fix CVE-2025-32907

* Tue May 13 2025 yangjinlin01 <yangjinlin01@inspur.com> - 2.74.3-3
- fix CVE-2025-46420

* Mon Dec 09 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.74.3-2
- Rebuild for remove inappropriate build dependencies.

* Thu Nov 24 2022 Funda Wang <fundawang@yeah.net> - 2.74.3-1
- New version 2.74.3

* Thu Oct 20 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.74.2-2
- optimise spec file

* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.74.2-1
- Init from upstream version 2.74.2

